﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Mail;
using System.Net;

namespace EmailSend
{
    class Program
    {
        static void Main(string[] args)
        {
            DataClassesDataContext dc=new DataClassesDataContext();
            var EmailBase=dc.EmailBases.First();
            string SMTPServer=EmailBase.SMTPServer;
            string EmailUsername=EmailBase.EmailUsername;
            string EmailUserpwd=EmailBase.EmailPwd;
            
            var ReportTo = dc.ReportTos.First();
            string EmailTo = ReportTo.EmailAddress;

            SmtpClient sc = new SmtpClient(SMTPServer);

            sc.Credentials=new NetworkCredential(EmailUsername,EmailUserpwd);

            MailAddress from = new MailAddress("microsoftbi@163.com","MSBITest", System.Text.Encoding.UTF8);
            MailAddress to = new MailAddress(EmailTo);
            MailMessage message = new MailMessage(from, to);
            message.Subject = "Monthly Report.";
            message.Attachments.Add(new Attachment("d:\\report.pdf"));

            sc.Send(message);
        }
    }
}
