﻿using Microsoft.Reporting.WinForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Report2PDF
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            reportViewer1.ProcessingMode = ProcessingMode.Remote;
            
            DataClassesDataContext ds = new DataClassesDataContext();
            var ReportBase=ds.ReportBases.First();
            string ReportServer = ReportBase.ReportServer;
            string ReportPath = ReportBase.ReportPath;

            reportViewer1.ServerReport.ReportServerUrl = new Uri(ReportServer);
            reportViewer1.ServerReport.ReportPath = ReportPath;

            this.reportViewer1.RefreshReport();

            Export();

            this.Close();
            Application.Exit();
        }

        private void Export()
        {
            Warning[] warnings;

            string[] streamids;
            string mimeType;
            string encoding;
            string extension;

            byte[] bytes = reportViewer1.ServerReport.Render("PDF", null, out mimeType, out encoding, out extension, out streamids, out warnings);

            FileStream fs = new FileStream(@"d:\\report.pdf", FileMode.Create);
            fs.Write(bytes, 0, bytes.Length);
            fs.Close();
        }
    }
}
